com.jnape.palatable.lambda.functions.builtin.fn1

## Class Constantly<A,B>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn1.Constantly<A,B>

- Type Parameters:
    `A` - The first argument type, and the the function's return type
    `B` - The second (ignored) argument type
  All Implemented Interfaces:
    Fn1<A,Fn1<B,A>>, Fn2<A,B,A>, Applicative<Fn1<B,A>,Fn1<A,?>>, Cartesian<A,Fn1<B,A>,Fn1<?,?>>, Cocartesian<A,Fn1<B,A>,Fn1<?,?>>, Contravariant<A,Profunctor<?,Fn1<B,A>,Fn1<?,?>>>, Functor<Fn1<B,A>,Fn1<A,?>>, Profunctor<A,Fn1<B,A>,Fn1<?,?>>, Monad<Fn1<B,A>,Fn1<A,?>>, MonadReader<A,Fn1<B,A>,Fn1<A,?>>, MonadRec<Fn1<B,A>,Fn1<A,?>>, MonadWriter<A,Fn1<B,A>,Fn1<A,?>>

      public final class Constantly<A,B>
      extends Object
      implements Fn2<A,B,A>

  A function that takes two arguments and always returns the first argument.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `checkedApply(A a, B b)`
    `static <A,B> Constantly<A,B>` | `constantly()`
    `static <A,B> Fn1<B,A>` | `constantly(A a)`
    `static <A,B> A` | `constantly(A a, B b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public A checkedApply(A a,
                                B b)

      Specified by:
        `checkedApply` in interface `Fn2<A,B,A>`

    - #### constantly

          public static <A,B> Constantly<A,B> constantly()

    - #### constantly

          public static <A,B> Fn1<B,A> constantly(A a)

    - #### constantly

          public static <A,B> A constantly(A a,
                                           B b)